Home>Support>Error when loading page editor

Error when loading page editor

When I access a page for editing the SiteOrigin editor does not load. The page loads with the following:

This displayed around the text entries. Please advise, thank you, regards Steve

This is our free support forum. Replies can take several days. If you need fast email support, please purchase a SiteOrigin Premium license.

  1. 14 days, 23 hours ago Andrew Misplon Hi, I Work Here

    Hi Steve

    Thanks for reaching out.

    Most likely, an error on the page has prevented Page Builder from loading. You can troubleshoot the issue by temporarily deactivating all non-SiteOrigin plugins. In this state, does the issue persist? If the issue is resolved, reactivate your plugins one by one, checking for the issue after each activation.

  2. 14 days, 22 hours ago stevefc

    Hi Andrew,
    I followed your advice, but I’m still getting the following msg in the text,

    Regards
    Steve

  3. 14 days, 22 hours ago stevefc

    siteorigin_widget class=”SiteOrigin_Widget_Image_Widget”][/siteorigin_widget

  4. 14 days, 22 hours ago Andrew Misplon Hi, I Work Here

    Thanks for the update. Please, try extending the test. Does the issue persist with the Twenty Twenty theme temporarily activated and all non-SiteOrigin plugins temporarily deactivated?

  5. 14 days, 21 hours ago stevefc

    Hi Andrew,
    Thanks for your reply. Using the Twenty Twenty theme the editor loads correctly, regards Steve

  6. 14 days, 20 hours ago Andrew Misplon Hi, I Work Here

    Super, that’s progress. With your theme enabled, when the issue occurs, please, try opening the browser console. Here is how https://wordpress.org/support/article/using-your-browser-to-diagnose-javascript-errors/#step-3-diagnosis. Are there errors in red text? If so, please, screenshot and upload to imgur.com or any cloud site like Drive/Dropbox and send us the link. Thanks.

  7. 14 days, 20 hours ago stevefc

    Hi Andrew,
    I reloaded my theme and the editor loads correctly but WP is reporting the following:
    This page generated the following warnings:

    https://chocolatemix.co.uk/wp-content/plugins/amazon-associates-link-builder/js/aalb_credentials.js: jQuery.parseJSON requires a valid JSON string
    https://chocolatemix.co.uk/wp-content/plugins/slideshow-jquery-image-gallery/js/min/all.backend.min.js: jQuery.fn.load() is deprecated
    https://chocolatemix.co.uk/wp-content/plugins/amazon-associates-link-builder/js/aalb_admin.js: jQuery.parseJSON requires a valid JSON string
    https://chocolatemix.co.uk/wp-content/themes/ifeaturepro5/cyberchimps/options/meta-box-class/js/meta-box.min.js:1:2153): jQuery.fn.live() is deprecated

    So, I need to get the latest version of my theme, thank you.

  8. 14 days, 20 hours ago Andrew Misplon Hi, I Work Here

    Thanks for the update. The plugin, jQuery Migrate Helper should be able to patch those issues if there isn’t a theme update available.

Please log in to post on our forums. Signing up is free.

Get The Most Out of SiteOrigin with SiteOrigin Premium

Find Out More